<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://www.w3.org/2001/XMLSchema"
        targetNamespace="http://formal.iti.kit.edu/lint-issues-1.0"
        xmlns:tns="http://formal.iti.kit.edu/lint-issues-1.0"
        elementFormDefault="qualified">

    <element name="issues" type="tns:issues"></element>

    <complexType name="issues">
        <sequence minOccurs="1" maxOccurs="unbounded">
            <element name="issue" type="tns:issue"></element>
        </sequence>
        <attribute name="version" type="string" use="required"
                   fixed="1.0">
        </attribute>
    </complexType>

    <complexType name="issue">
        <simpleContent>
            <extension base="string">
                <attribute name="id" type="int" use="required"/>
                <attribute name="severity">
                    <simpleType>
                        <restriction base="string">
                            <enumeration value="info"/>
                            <enumeration value="warn"/>
                            <enumeration value="error"/>
                        </restriction>
                    </simpleType>
                </attribute>
                <attribute name="rulename">
                    <simpleType>
                        <restriction base="string">
                            <pattern value="[a-zA-Z_]+"/>
                        </restriction>
                    </simpleType>
                </attribute>
            </extension>
        </simpleContent>
    </complexType>
</schema>